LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XGraphicMapper Interface Reference

This interface allows mapping of XGraphics for a certain string key. More...

`import <XGraphicMapper.idl;`

Inheritance diagram for XGraphicMapper:

## Public Member Functions
com::sun::star::graphic::XGraphic | findGraphic ([in] string Id)
| Find if we have the XGraphic for the certain key.
void | putGraphic ([in] string Id, [in] com::sun::star::graphic::XGraphic Graphic)
| Insert a new entry to map an id/key to the XGraphic.

## Detailed Description

This interface allows mapping of XGraphics for a certain string key.

Since
  LibreOffice 7.1

## Member Function Documentation

## ◆ findGraphic()

com::sun::star::graphic::XGraphic findGraphic | ( | [in] string | Id | ) |

Find if we have the XGraphic for the certain key.

## ◆ putGraphic()

void putGraphic | ( | [in] string | Id,
|  | [in] com::sun::star::graphic::XGraphic | Graphic )

Insert a new entry to map an id/key to the XGraphic.

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XGraphicMapper.idl